package org.jeecg.modules.deliver.cmos.job.task;


import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.digital.task.base.TaxRateTaskService;
import org.jeecg.modules.deliver.cmos.job.CmosConstants;
import org.jeecg.modules.deliver.cmos.job.CmosTask;
import org.springframework.stereotype.Component;

@Slf4j
@RequiredArgsConstructor
@Component
public class CmosTaxRateTask implements CmosTask {

    final TaxRateTaskService taskService;

    @Override
    public String getType() {
        return CmosConstants.TAX_RATE;
    }

    @Override
    public void execute() throws Exception {
        this.taskService.execute();
    }
}
